///////////////////////////////////////////////////////////////-*-C-*-
//
// Copyright (c) 2007 Xilinx, Inc.  All rights reserved.
//
// Xilinx, Inc.  XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION
// "AS IS" AS  A COURTESY TO YOU.  BY PROVIDING  THIS DESIGN, CODE, OR
// INFORMATION  AS  ONE   POSSIBLE  IMPLEMENTATION  OF  THIS  FEATURE,
// APPLICATION OR  STANDARD, XILINX  IS MAKING NO  REPRESENTATION THAT
// THIS IMPLEMENTATION  IS FREE FROM  ANY CLAIMS OF  INFRINGEMENT, AND
// YOU ARE  RESPONSIBLE FOR OBTAINING  ANY RIGHTS YOU MAY  REQUIRE FOR
// YOUR  IMPLEMENTATION.   XILINX  EXPRESSLY  DISCLAIMS  ANY  WARRANTY
// WHATSOEVER  WITH RESPECT  TO  THE ADEQUACY  OF THE  IMPLEMENTATION,
// INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR REPRESENTATIONS THAT
// THIS IMPLEMENTATION  IS FREE  FROM CLAIMS OF  INFRINGEMENT, IMPLIED
// WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
// 
//////////////////////////////////////////////////////////////////////

#ifndef __XL_OFDM_PKTDETECTOR_MIMO_PLBW_H__
#define __XL_OFDM_PKTDETECTOR_MIMO_PLBW_H__

#include "xbasic_types.h"
#include "xstatus.h"
#include "xcope.h"

typedef struct {
    uint32_t version;
    // Pointers to low-level functions
    xc_status_t (*xc_create)(xc_iface_t **, void *);
    xc_status_t (*xc_release)(xc_iface_t **);
    xc_status_t (*xc_open)(xc_iface_t *);
    xc_status_t (*xc_close)(xc_iface_t *);
    xc_status_t (*xc_read)(xc_iface_t *, xc_r_addr_t, uint32_t *);
    xc_status_t (*xc_write)(xc_iface_t *, xc_w_addr_t, const uint32_t);
    xc_status_t (*xc_get_shmem)(xc_iface_t *, const char *, void **shmem);
    // Optional parameters
    // (empty)
    // Memory map information
    uint32_t pktDet_idleDifs;
    uint32_t pktDet_idleDifs_n_bits;
    uint32_t pktDet_idleDifs_bin_pt;
    // uint32_t pktDet_idleDifs_attr;
    uint32_t csma_avgThresh;
    uint32_t csma_avgThresh_n_bits;
    uint32_t csma_avgThresh_bin_pt;
    // uint32_t csma_avgThresh_attr;
    uint32_t csma_difsPeriod;
    uint32_t csma_difsPeriod_n_bits;
    uint32_t csma_difsPeriod_bin_pt;
    // uint32_t csma_difsPeriod_attr;
    uint32_t csma_enableBusy;
    uint32_t csma_enableBusy_n_bits;
    uint32_t csma_enableBusy_bin_pt;
    // uint32_t csma_enableBusy_attr;
    uint32_t csma_enableIdle;
    uint32_t csma_enableIdle_n_bits;
    uint32_t csma_enableIdle_bin_pt;
    // uint32_t csma_enableIdle_attr;
    uint32_t pktDet_avgLen;
    uint32_t pktDet_avgLen_n_bits;
    uint32_t pktDet_avgLen_bin_pt;
    // uint32_t pktDet_avgLen_attr;
    uint32_t pktDet_avgThresh;
    uint32_t pktDet_avgThresh_n_bits;
    uint32_t pktDet_avgThresh_bin_pt;
    // uint32_t pktDet_avgThresh_attr;
    uint32_t pktDet_clkRatioSel;
    uint32_t pktDet_clkRatioSel_n_bits;
    uint32_t pktDet_clkRatioSel_bin_pt;
    // uint32_t pktDet_clkRatioSel_attr;
    uint32_t pktDet_detectionMask;
    uint32_t pktDet_detectionMask_n_bits;
    uint32_t pktDet_detectionMask_bin_pt;
    // uint32_t pktDet_detectionMask_attr;
    uint32_t pktDet_detectionMode;
    uint32_t pktDet_detectionMode_n_bits;
    uint32_t pktDet_detectionMode_bin_pt;
    // uint32_t pktDet_detectionMode_attr;
    uint32_t pktDet_masterReset;
    uint32_t pktDet_masterReset_n_bits;
    uint32_t pktDet_masterReset_bin_pt;
    // uint32_t pktDet_masterReset_attr;
    uint32_t pktDet_reset;
    uint32_t pktDet_reset_n_bits;
    uint32_t pktDet_reset_bin_pt;
    // uint32_t pktDet_reset_attr;
    uint32_t pktDet_resetDuration;
    uint32_t pktDet_resetDuration_n_bits;
    uint32_t pktDet_resetDuration_bin_pt;
    // uint32_t pktDet_resetDuration_attr;
    // XPS parameters
    Xuint16  DeviceId;
    uint32_t  BaseAddr;
} OFDM_PKTDETECTOR_MIMO_PLBW_Config;

extern OFDM_PKTDETECTOR_MIMO_PLBW_Config OFDM_PKTDETECTOR_MIMO_PLBW_ConfigTable[];

// forward declaration of low-level functions
xc_status_t xc_ofdm_pktdetector_mimo_plbw_create(xc_iface_t **iface, void *config_table);
xc_status_t xc_ofdm_pktdetector_mimo_plbw_release(xc_iface_t **iface) ;
xc_status_t xc_ofdm_pktdetector_mimo_plbw_open(xc_iface_t *iface);
xc_status_t xc_ofdm_pktdetector_mimo_plbw_close(xc_iface_t *iface);
xc_status_t xc_ofdm_pktdetector_mimo_plbw_read(xc_iface_t *iface, xc_r_addr_t addr, uint32_t *value);
xc_status_t xc_ofdm_pktdetector_mimo_plbw_write(xc_iface_t *iface, xc_w_addr_t addr, const uint32_t value);
xc_status_t xc_ofdm_pktdetector_mimo_plbw_getshmem(xc_iface_t *iface, const char *name, void **shmem);

#endif

